haskell-src-meta-0.8.15: Parse source to template-haskell abstract syntax.

Copyright | (c) Serokell 2022 Adam Bergmark 2022
License | BSD3
Maintainer | Adam Bergmark <adam@bergmark.nl>
Stability | experimental
Portability | portable (template-haskell)
Safe Haskell | Safe-Inferred
Language | Haskell2010

Language.Haskell.Meta.Extensions

Description

Synopsis

- toExtension :: KnownExtension -> Maybe Extension
- fromExtension :: Extension -> Maybe KnownExtension

# Documentation

toExtension :: KnownExtension -> Maybe Extension Source #

Returns `Nothing` when the extension is not supported by template-haskell.

fromExtension :: Extension -> Maybe KnownExtension Source #

Returns `Nothing` when the extension is not supported by haskell-src-exts.